> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Status Page Monitor



## OpenAPI

````yaml PATCH /api/v1/status-pages/{statusPageId}/monitors/{monitorId}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/monitors/{monitorId}:
    patch:
      tags:
        - status-pages
      summary: Update a linked monitor's per-page display name
      operationId: ManagementMonitorController_update_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
        - name: monitorId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMonitorDisplayNameDto'
      responses:
        '200':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    UpdateMonitorDisplayNameDto:
      type: object
      properties:
        displayName:
          type: string
          nullable: true
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````